# Generated by Django 2.2.4 on 2019-08-13 12:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0002_auto_20190808_1254'),
    ]

    operations = [
        migrations.CreateModel(
            name='ExtraInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Multiplayer', models.IntegerField(choices=[(1, 'Nie'), (3, 'Tylko LAN'), (2, 'Nie wiadomo'), (0, 'Tak')], default=0)),
                ('Kampania', models.IntegerField(choices=[(1, 'Nie'), (2, 'Nie wiadomo'), (0, 'Tak')], default=0)),
            ],
        ),
        migrations.RemoveField(
            model_name='game',
            name='id',
        ),
        migrations.AlterField(
            model_name='game',
            name='photo',
            field=models.ImageField(blank=True, null=True, upload_to='obrazy'),
        ),
        migrations.AddField(
            model_name='game',
            name='info',
            field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='main.ExtraInfo'),
            preserve_default=False,
        ),
    ]
